# API Introduction

A common use case that the API enables is for agencies with downstream clients. You can develop your own thin layer on top of our API in order for your clients to interface with your systems and for you to get our rich API functionality without your users ever touching our platform.

All API endpoints can be found in the [Endpoints](/akkio-docs/endpoints-and-schemas/endpoints.md) and [Schemas](/akkio-docs/endpoints-and-schemas/schemas.md) sections. For beginners, we recommend running the quick start to ensure that your setup is correct, as it is a solution on rails that will ensure you are starting from a good state.

**The Akkio API is currently in beta.** You can help us out by forwarding any and all issues along to the team at `support@akkio.com` or the chat bubble on [app.akkio.com](https://app.akkio.com/), and we'll be happy to more than happy to investigate and resolve your issue.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akkio.com/akkio-docs/rest-api/api-introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
